/*
 *   alligner.h
 *   ftpippo Vers. 0.9.3
 *                 Copyright (C)  2001  Matteo Nastasi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *     CONTACT:    matteo.nastasi@milug.org
 *                 mnastasi@lycosmail.com
 *
 */

/* DEFINE */
#define NBLKSKIP     64

/* STRUTTURE */
struct elenco_tag {
  char *nome;
  char data[16];
};
typedef struct elenco_tag elenco;

/* PROTOTIPI */
char *relfile(char *);
int aggiornalocdata(char *,char *);
int dellistel(elenco *,int *,int);
long delocal(void);
char *nchar(int);
int freeelenco(elenco **,int);
int scannadir(elenco **,int *,elenco **,int *,char *);
int localoverdir(char *);
char *trovapezzo(char *,int,int);
int scannaftp(elenco **,int *,elenco **,int *,netbuf *,char *,char *,char *);
int overdir(char *,netbuf *,char *);
int overftp(char *,netbuf *,char *);
int rmlocdir(char *);
int rmftpdir(char *,netbuf *,char *);
int continuo(void);
int loadskipdir(char *);
int findskipdir(char *);
void freeskipdir(void);

/* VARIABILI GLOBALI */
#ifdef MAIN 
int safe = 1;                  /* se chiedere conferma delle cancellazioni */
int guser = 0;                 /* se toccare solo i file dello user di login */
long deltat = 0;               /* differenza tra ora UTC e ora locale */
long deltam = 0;
int nskip = 0;                 /* numero di dir/file da saltare */
char **skip = NULL;            /* elenco di dir/file da saltare */
#else
extern int safe;
extern int guser;
extern long deltat;
extern long deltam;
extern int nskip;
extern char **skip;
#endif

